/**
 ** mhpCntrlTaskCodels.cc
 **
 ** Codels used by the control task mhpCntrlTask
 **
 ** Author: E. Akin Sisbot
 ** Date: Nov 06, update Aug 09
 **
 **/

#include <portLib.h>

#include "server/mhpHeader.h"
#include "mhpm3d.h"



/*------------------------------------------------------------------------
 * mhpDebug_modeCntrl  -  control codel of CONTROL request Debug_mode
 *
 * Description:
 * Report: OK
 *
 * Returns:    OK or ERROR
 */

STATUS
mhpDebug_modeCntrl(int *debug_mode, int *report)
{
  SDI_F->State.debug_mode = *debug_mode;

  return OK;
}



STATUS
mhpArmInterruptCollisionOnTrajCntrl(int *report)
{
  SDI_F->collisionState.state = GENMANIP_COLLISION_FREE;
  SDI_F->State.planning = FALSE;

  return OK;
}

/*------------------------------------------------------------------------
 * mhpInterfaceAgenParamsCtrl  -  control codel of CONTROL request SetInterfaceAgentParams
 *
 * Description:    
 * Report: OK
 */

STATUS
mhpInterfaceAgenParamsCtrl(MHP_INTERFACE_AGENT_PARAMS *InterfaceAgentParams, int *report)
{
  int i;

  for(i=0; i<MHP_AGENTS->all_agents_no; i++) {
    if(strcasestr(MHP_AGENTS->all_agents[i]->robotPt->name, InterfaceAgentParams->agent_name.name)){
      if(InterfaceAgentParams->show_fov) {
	MHP_AGENTS->all_agents[i]->perspective->enable_vision_draw = TRUE;
      }
      else {
	MHP_AGENTS->all_agents[i]->perspective->enable_vision_draw = FALSE;	
      }
      
      if(InterfaceAgentParams->show_poiting) {
	MHP_AGENTS->all_agents[i]->perspective->enable_pointing_draw = TRUE;
      }
      else {
	MHP_AGENTS->all_agents[i]->perspective->enable_pointing_draw = FALSE;
      }
    }
  }
  
  return OK;  
}

/*
STATUS
mhpPlan_TaskCntrl(int *report)
{
  return OK;
}

STATUS
mhpGet_geo_step_end_pointCntrl(int *report)
{ 
  return OK;
}

STATUS
mhpWrite_geo_traj_to_posterCntrl(int *report)
{
  return OK;
}

STATUS
mhpExecute_geo_plan_in_simulationCntrl(int *report)
{
  return OK;
}
*/

