/**
 ** mhpm3d.cc
 **
 ** Utility functions for codels
 **
 ** Author: E. Akin Sisbot
 ** Date: Aug 09
 **
 **/

#include <portLib.h>

#include "server/mhpHeader.h"
#include "mhpm3d.h" 

gik_task_joints * mhp_create_defaut_gik_tasks( void )
{
  int i,j;
  gik_task_joints * tasks = MY_ALLOC(gik_task_joints,MHP_GIK_MAX_TASK_NO);
#ifdef HRP2	
  //strcpy(tasks[0].name,"Look at");
  tasks[0].default_joints[0] = 16;
  tasks[0].default_joints[1] = 17;
  tasks[0].default_joints[2] = 18;
  tasks[0].active_joint = 18; /* active joint */
  tasks[0].default_joints_no = 3;
  
  //strcpy(tasks[1].name,"Left Hand Point at");
  tasks[1].default_joints[0] = 32;
  tasks[1].default_joints[1] = 33;
  tasks[1].default_joints[2] = 34;
  tasks[1].default_joints[3] = 35;
  tasks[1].default_joints[4] = 36;
  tasks[1].default_joints[5] = 37;
  tasks[1].default_joints[6] = 45;
  tasks[1].active_joint = 45; /* active joint */
  tasks[1].default_joints_no = 7;
  
  //strcpy(tasks[2].name,"Right Hand Point at");
  tasks[2].default_joints[0] = 19;
  tasks[2].default_joints[1] = 20;
  tasks[2].default_joints[2] = 21;
  tasks[2].default_joints[3] = 22;
  tasks[2].default_joints[4] = 23;
  tasks[2].default_joints[5] = 24;
  tasks[2].default_joints[6] = 46;
  tasks[2].active_joint = 46; /* active joint */
  tasks[2].default_joints_no = 7;
  
  //strcpy(tasks[3].name,"Left Hand Reach");
  tasks[3].default_joints[0] = 32;
  tasks[3].default_joints[1] = 33;
  tasks[3].default_joints[2] = 34;
  tasks[3].default_joints[3] = 35;
  tasks[3].default_joints[4] = 36;
  tasks[3].default_joints[5] = 37;
  tasks[3].active_joint = 37; /* active joint */
  tasks[3].default_joints_no = 6;
  
  //strcpy(tasks[4].name,"Right Hand Reach");
  tasks[4].default_joints[0] = 19;
  tasks[4].default_joints[1] = 20;
  tasks[4].default_joints[2] = 21;
  tasks[4].default_joints[3] = 22;
  tasks[4].default_joints[4] = 23;
  tasks[4].default_joints[5] = 24;
  tasks[4].active_joint = 24; /* active joint */
  tasks[4].default_joints_no = 6;
#endif  
  /* Assigning default joints to actual joints */
  for(i=0; i<MHP_GIK_MAX_TASK_NO; i++){
    for(j=0; j<tasks[i].default_joints_no; j++){
      tasks[i].actual_joints[j] = tasks[i].default_joints[j];
    }
    tasks[i].actual_joints_no = tasks[i].default_joints_no;
  }
  
  return tasks;
}

